import request from '@/utils/request'

// device list api
export function fetchDeviceList(query) {
  return request({
    url: '/api/counter/device/',
    method: 'get',
    params: query
  })
}

// device log list api
export function fetchDeviceLogs(query) {
  return request({
    url: '/api/counter/logs/',
    method: 'get',
    params: query
  })
}

// device logs history api
export function fetchDeviceLogsHistory(query) {
  return request({
    url: '/api/counter/device/logs/history/',
    method: 'get',
    params: query
  })
}

// device info statistic api
export function fetchDeviceInfoStatistic(query) {
  return request({
    url: '/api/counter/device/statistic/',
    method: 'get',
    params: query
  })
}

// device log statistic api
export function fetchDeviceLogStatistic(query) {
  return request({
    url: '/api/counter/logs/statistic/',
    method: 'get',
    params: query
  })
}

// log statistic history api
export function fetchLogStatisticHistory(query) {
  return request({
    url: '/api/counter/logs/statistic/history/',
    method: 'get',
    params: query
  })
}
